> ## Documentation Index
> Fetch the complete documentation index at: https://docs.domino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get bundle by ID

> Get bundle by ID



## OpenAPI

````yaml /api-specs/6.3/governance-api.yaml get /bundles/{id}
openapi: 3.0.0
info:
  contact:
    email: support@dominodatalab.com
    name: Domino Data Lab
    url: https://tickets.dominodatalab.com/hc/en-us
  description: Service responsible for managing Domino Governance feature
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  title: Domino Governance API
  version: '1.0'
servers: []
security: []
paths:
  /bundles/{id}:
    get:
      tags:
        - bundles
      summary: Get bundle by ID
      description: Get bundle by ID
      parameters:
        - description: ID of bundle to retrieve
          in: path
          name: id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/guardrails.Bundle'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/server.HTTPError'
components:
  schemas:
    guardrails.Bundle:
      properties:
        attachments:
          items:
            $ref: '#/components/schemas/guardrails.Attachment'
          type: array
        classificationValue:
          description: The classification value of the primary policy
          type: string
        commentsCount:
          type: integer
        createdAt:
          type: string
        createdBy:
          type: object
        gates:
          items:
            $ref: '#/components/schemas/guardrails.Gate'
          type: array
        id:
          type: string
        name:
          type: string
        policies:
          items:
            $ref: '#/components/schemas/guardrails.BundlePolicy'
          type: array
        policyId:
          description: The ID of the primary policy
          type: string
        policyName:
          type: string
        policyVersionId:
          description: The version of the primary policy
          type: string
        projectId:
          type: string
        projectName:
          type: string
        projectOwner:
          type: string
        stage:
          description: The stage of the primary policy
          type: string
        stageApprovals:
          items:
            $ref: '#/components/schemas/guardrails.StageApproval'
          type: array
        stageAssignee:
          allOf:
            - $ref: '#/components/schemas/guardrails.BundleStageAssignee'
          description: The assignee to the stage of the primary policy
        stages:
          items:
            $ref: '#/components/schemas/guardrails.BundleStage'
          type: array
        state:
          $ref: '#/components/schemas/guardrails.BundleState'
      required:
        - id
        - state
      type: object
    server.HTTPError:
      properties:
        message:
          type: string
      type: object
    guardrails.Attachment:
      properties:
        approvalTimelineMap:
          additionalProperties:
            $ref: '#/components/schemas/guardrails.ApprovalTimelineInfo'
          type: object
        createdAt:
          type: string
        createdBy:
          type: object
        id:
          type: string
        identifier:
          type: object
        type:
          $ref: '#/components/schemas/guardrails.AttachmentType'
      type: object
    guardrails.Gate:
      properties:
        bundleId:
          type: string
        id:
          type: string
        isOpen:
          type: boolean
        name:
          type: string
        policyGateId:
          type: string
        reason:
          type: string
        resources:
          items:
            $ref: '#/components/schemas/guardrails.RuleDefinition'
          type: array
      type: object
    guardrails.BundlePolicy:
      properties:
        bundleId:
          type: string
        classificationValue:
          type: string
        createdAt:
          type: string
        deactivatedAt:
          type: string
        enforceSequentialOrder:
          type: boolean
        isPolicyArchived:
          type: boolean
        policyId:
          type: string
        policyName:
          type: string
        policyVersionId:
          type: string
        stage:
          type: string
      type: object
    guardrails.StageApproval:
      properties:
        approvers:
          items:
            $ref: '#/components/schemas/guardrails.Approver'
          type: array
        evidence:
          $ref: '#/components/schemas/guardrails.Evidence'
        id:
          type: string
        name:
          type: string
        required:
          type: boolean
      type: object
    guardrails.BundleStageAssignee:
      properties:
        id:
          type: string
        name:
          type: string
      required:
        - id
        - name
      type: object
    guardrails.BundleStage:
      properties:
        assignedAt:
          type: string
        assignee:
          $ref: '#/components/schemas/guardrails.BundleStageAssignee'
        bundleId:
          type: string
        stage:
          $ref: '#/components/schemas/guardrails.Stage'
        stageId:
          type: string
      type: object
    guardrails.BundleState:
      enum:
        - Active
        - Archived
        - Complete
      type: string
      x-enum-varnames:
        - ActiveState
        - ArchivedState
        - CompleteState
    guardrails.ApprovalTimelineInfo:
      properties:
        approvalStatus:
          $ref: '#/components/schemas/guardrails.ApprovalStatus'
        timelineStatus:
          $ref: '#/components/schemas/guardrails.ApprovalTimelineStatus'
        updatedAt:
          type: string
      type: object
    guardrails.AttachmentType:
      enum:
        - ModelVersion
        - Report
        - DatasetSnapshotFile
        - Endpoint
        - NetAppVolumeSnapshotFile
        - FlowArtifact
      type: string
      x-enum-varnames:
        - ModelVersion
        - Report
        - DatasetSnapshotFile
        - Endpoint
        - NetAppVolumeSnapshotFile
        - FlowArtifact
    guardrails.RuleDefinition:
      properties:
        action:
          $ref: '#/components/schemas/guardrails.RuleAction'
        failOpen:
          type: boolean
        parameters:
          type: object
      required:
        - action
      type: object
    guardrails.Approver:
      properties:
        editable:
          type: boolean
        fromOrganizationUserId:
          type: string
        id:
          type: string
        isOrganizationUser:
          type: boolean
        name:
          type: string
        showByDefault:
          type: boolean
      required:
        - editable
        - id
        - name
        - showByDefault
      type: object
    guardrails.Evidence:
      properties:
        artifacts:
          items:
            $ref: '#/components/schemas/guardrails.EvidenceArtifact'
          type: array
        createdAt:
          type: string
        description:
          type: string
        externalId:
          type: string
        id:
          type: string
        name:
          type: string
        policyId:
          type: string
        policyVersionId:
          type: string
        scope:
          $ref: '#/components/schemas/guardrails.EvidenceScope'
        visible:
          description: >-
            allows true, false or nil values (if nil, FE can decide to show
            everything)
          type: boolean
      type: object
    guardrails.Stage:
      properties:
        approvals:
          items:
            $ref: '#/components/schemas/guardrails.StageApproval'
          type: array
        evidenceSet:
          items:
            $ref: '#/components/schemas/guardrails.Evidence'
          type: array
        id:
          type: string
        name:
          type: string
        policyVersionId:
          type: string
      type: object
    guardrails.ApprovalStatus:
      enum:
        - PendingSubmission
        - PendingReview
        - Approved
        - ConditionallyApproved
      type: string
      x-enum-varnames:
        - PendingSubmission
        - PendingReview
        - Approved
        - ConditionallyApproved
    guardrails.ApprovalTimelineStatus:
      enum:
        - Valid
        - Invalid
      type: string
      x-enum-varnames:
        - Valid
        - Invalid
    guardrails.RuleAction:
      enum:
        - CreateApp
        - CreateEndpoint
      type: string
      x-enum-varnames:
        - CreateApp
        - CreateEndpoint
    guardrails.EvidenceArtifact:
      properties:
        artifactType:
          $ref: '#/components/schemas/guardrails.ArtifactType'
        details:
          type: object
        id:
          type: string
        required:
          type: boolean
        visibilityRule:
          type: string
        visible:
          description: >-
            allows true, false or nil values (if nil, FE can decide to show
            everything)
          type: boolean
      type: object
    guardrails.EvidenceScope:
      enum:
        - Global
        - Local
      type: string
      x-enum-varnames:
        - Global
        - Local
    guardrails.ArtifactType:
      enum:
        - input
        - guidance
        - policyScriptedCheck
        - metadata
      type: string
      x-enum-varnames:
        - Input
        - Guidance
        - AutomatedJob
        - Metadata

````